'From Squeak3.2 of 11 July 2002 [latest update: #4956] on 5 May 2003 at 5:30:16 pm'!

!GoGoBoardMorph methodsFor: 'sensor ops' stamp: 'ab 4/22/2003 12:33'!
sensor: anInteger

	| sensorNum |
	sensorNum _ (anInteger asInteger max: 1) min: 8.	
	^ sensorValues at: sensorNum.! !


!GoGoBoardMorph class methodsFor: 'scripting' stamp: 'ab 4/22/2003 14:27'!
additionsToViewerCategories
	"Answer a list of (<categoryName> <list of category specs>) pairs that characterize the phrases this kind of morph wishes to add to various Viewer categories."

	^ #(
(motors (
(command motorOn: 'Turn on specified motor' Number)
(command motorOff: 'Turn off specified motor' Number)
(command thisWay: 'Turn motor this way' Number)
(command thatWay: 'Turn motor that way' Number)
(command reverseMotor: 'Reverse direction of specified motor' Number)
(command coast: 'Coast motor to stop' Number)
(command setPower:motor: 'Set power of specified motor' Number)
))

	(sensors (
(slot sensor1 'returns value of sensor1' Number readOnly Player getSensor1 unused unused)
(slot sensor2 'returns value of sensor2' Number readOnly Player getSensor2 unused unused)
(slot sensor3 'returns value of sensor3' Number readOnly Player getSensor3 unused unused)
(slot sensor4 'returns value of sensor4' Number readOnly Player getSensor4 unused unused)
(slot sensor5 'returns value of sensor5' Number readOnly Player getSensor5 unused unused)
(slot sensor6 'returns value of sensor6' Number readOnly Player getSensor6 unused unused)
(slot sensor7 'returns value of sensor7' Number readOnly Player getSensor7 unused unused)
(slot sensor8 'returns value of sensor8' Number readOnly Player getSensor8 unused unused)
))
)! !


!Player methodsFor: 'slot getters/setters' stamp: 'ab 4/22/2003 13:47'!
getSensor1

	^ costume sensor: 1.! !

!Player methodsFor: 'slot getters/setters' stamp: 'ab 4/22/2003 13:50'!
getSensor2

	^ costume sensor: 2.! !

!Player methodsFor: 'slot getters/setters' stamp: 'ab 4/22/2003 13:50'!
getSensor3

	^ costume sensor: 3.! !

!Player methodsFor: 'slot getters/setters' stamp: 'ab 4/22/2003 13:50'!
getSensor4

	^ costume sensor: 4.! !

!Player methodsFor: 'slot getters/setters' stamp: 'ab 4/22/2003 13:51'!
getSensor5

	^ costume sensor: 5.! !

!Player methodsFor: 'slot getters/setters' stamp: 'ab 4/22/2003 13:51'!
getSensor6

	^ costume sensor: 6.! !

!Player methodsFor: 'slot getters/setters' stamp: 'ab 4/22/2003 13:51'!
getSensor7

	^ costume sensor: 7.! !

!Player methodsFor: 'slot getters/setters' stamp: 'ab 4/22/2003 13:51'!
getSensor8

	^ costume sensor: 8.! !

!Player methodsFor: 'scripts-standard' stamp: 'ab 4/18/2003 13:11'!
coast: motorNumber

self costume coastToStopMotor: motorNumber.! !

!Player methodsFor: 'scripts-standard' stamp: 'ab 4/18/2003 13:11'!
motorOff: motorNumber

self costume turnOffMotor: motorNumber.! !

!Player methodsFor: 'scripts-standard' stamp: 'ab 4/18/2003 13:11'!
motorOn: motorNumber

self costume turnOnMotor: motorNumber.! !

!Player methodsFor: 'scripts-standard' stamp: 'ab 4/18/2003 13:12'!
reverseMotor: motorNumber

self costume reverseMotor: motorNumber.! !

!Player methodsFor: 'scripts-standard' stamp: 'ab 4/22/2003 14:26'!
setPower: aNumber motor: motorNumber

self costume setPower: aNumber motor: motorNumber.! !

!Player methodsFor: 'scripts-standard' stamp: 'ab 4/18/2003 13:12'!
thatWay: motorNumber

self costume thatWayMotor: motorNumber.! !

!Player methodsFor: 'scripts-standard' stamp: 'ab 4/18/2003 13:12'!
thisWay: motorNumber

self costume thisWayMotor: motorNumber.! !

Player removeSelector: #coastToStop:!
Player removeSelector: #getSensorVal:!

!GoGoBoardMorph class reorganize!
('scripting' additionsToViewerCategories)
!

